次の方法で共有


Access - List Role Binding Name List

組織の役割のバインド

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Confluent/organizations/{organizationName}/access/default/listRoleBindingNameList?api-version=2024-07-01

URI パラメーター

名前 / 必須 説明
organizationName
path True

string

組織のリソース名

resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前では大文字と小文字が区別されません。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

要求本文

名前 説明
searchFilters

object

要求の検索フィルター

応答

名前 説明
200 OK

AccessRoleBindingNameListSuccessResponse

Azure 操作は正常に完了しました。

Other Status Codes

ResourceProviderDefaultErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation ユーザー アカウントを偽装する

Access_RoleBindingNameList

要求のサンプル

POST https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.Confluent/organizations/myOrganization/access/default/listRoleBindingNameList?api-version=2024-07-01

{
  "searchFilters": {
    "crn_pattern": "crn://confluent.cloud/organization=1aa7de07-298e-479c-8f2f-16ac91fd8e76",
    "namespace": "public,dataplane,networking,identity,datagovernance,connect,streamcatalog,pipelines,ksql"
  }
}

応答のサンプル

{
  "data": [
    "MetricsViewer",
    "OrganizationAdmin",
    "Operator",
    "NetworkAdmin",
    "ResourceKeyAdmin",
    "AccountAdmin"
  ],
  "kind": "RoleDisplayNameList",
  "metadata": {
    "first": "https://api.confluent.cloud/iam/v2/role-bindings",
    "last": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=bcAOehAY8F16YD84Z1wT",
    "next": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=UvmDWOB1iwfAIBPj6EYb",
    "prev": "https://api.confluent.cloud/iam/v2/role-bindings?page_token=YIXRY97wWYmwzrax4dld",
    "total_size": 123
  }
}

定義

名前 説明
AccessRoleBindingNameListSuccessResponse

正常に応答した場合に返されるロール バインド名の詳細

ConfluentListMetadata

リストのメタデータ

ErrorResponseBody

エラーの応答本文

ListAccessRequestModel

リスト アクセス要求モデル

ResourceProviderDefaultErrorResponse

リソース プロバイダーの既定のエラー応答

AccessRoleBindingNameListSuccessResponse

正常に応答した場合に返されるロール バインド名の詳細

名前 説明
data

string[]

ロール バインド名の一覧

kind

string

応答の種類

metadata

ConfluentListMetadata

リストのメタデータ

ConfluentListMetadata

リストのメタデータ

名前 説明
first

string

リストの最初のページ

last

string

リストの最後のページ

next

string

リストの次のページ

prev

string

リストの前のページ

total_size

integer (int32)

リストの合計サイズ

ErrorResponseBody

エラーの応答本文

名前 説明
code

string

エラー コード

details

ErrorResponseBody[]

エラーの詳細

message

string

エラーメッセージ

target

string

エラー ターゲット

ListAccessRequestModel

リスト アクセス要求モデル

名前 説明
searchFilters

object

要求の検索フィルター

ResourceProviderDefaultErrorResponse

リソース プロバイダーの既定のエラー応答

名前 説明
error

ErrorResponseBody

エラーの応答本文